I think i truly bricked my ipod...

Discussion in 'iPod touch 2G Jailbreak: redsn0w, 24kpwn, etc.' started by pavan, Feb 2, 2009.

  1. pavan

    pavan Member

    Joined:
    Mar 10, 2008
    Messages:
    822
    Likes Received:
    0
    Device:
    2G iPod touch
    i had it jailbroken (ipod touch 2g) and it was in safe mode and wouldnt exit so i tried restoring and it said the device malfunctioned and itunes crashed and then i tried again and the same thing happened. so i dfu and itunes says i have an old version non-compatable with my ipod but its the latest one and has worked many times with this ipod/firmware. so i shift-click restore and it gives me the same message? help?!?!?!
  2. ice_cold_irony

    ice_cold_irony New Member

    Joined:
    Jan 31, 2009
    Messages:
    46
    Likes Received:
    0
    Re-download the firmware. I got this after Winterboard broke my jailbreak. I had to restore to 2.1.1 and then to 2.2.1 not sure why but download any firmwares that relate to the touch 2g and try them all. Also, I've found<not sure if it's the site I use or not> but alot of the firmware dl's get corrupted. So try a few dl's if it doesn't work the first time.
  3. pavan

    pavan Member

    Joined:
    Mar 10, 2008
    Messages:
    822
    Likes Received:
    0
    Device:
    2G iPod touch
    nvm i got it i just booted into the ipod with the redsn0w thing and did the restore from the ipod
    MODS PLEASE CLOSE THIS!!!!!!!!
  4. breakkdown

    breakkdown Active Member

    Joined:
    Mar 19, 2008
    Messages:
    1,225
    Likes Received:
    1
    Device:
    iPod touch
    If you aren't comfortable troubleshooting your own problems with the tethered jailbreak, you should wait until the non-tethered, more automatic GUI version is released.

Share This Page